<?php
//controller_cpe_ticketFromLz.php
error_reporting(E_ALL ^ E_NOTICE);
// Permite la conexion desde cualquier origen
header("Access-Control-Allow-Origin: *");
// Permite la ejecucion de los metodos
header("Access-Control-Allow-Methods: GET, POST, PUT, DELETE");
// Se incluye el archivo que contiene la clase generica
require_once(__DIR__.'/../api_cpe/cpe_envioU.php');

function cpeConsultaTicket($tipo_proceso, $ruc, $usuario_sol, $pass_sol, $ticket, $tipo_comprobante, $nro_comprobante) {
	global $ruta_archivo_cdr;
    //===============mensajes==============
    $mensaje_xml = "";
    $hash_cpe = ""; //hash_cpe
    $hash_cdr = "";
    //========================variables=======================
    $ruta_archivo = '../api_cpe/';
    $archivo = $ruc . '-' . $tipo_comprobante . '-' . $nro_comprobante;
    $ruta = '';
    $ruta_cdr = '';
    $ruta_firma = '';
    $ruta_ws = '';

    //========================configuracion de(SERVIDOR)=======================
    if ($tipo_proceso == '4') {
        $ruta = $ruta_archivo . 'PRODUCCION/' . $ruc . "/" . $archivo;
        $ruta_cdr = $ruta_archivo . 'PRODUCCION/' . $ruc . "/";
        $ruta_cdr = $ruta_archivo_cdr;//cambiar despues
        $ruta_firma = $ruta_archivo . 'FIRMA/' . $ruc . '.pfx';
        $ruta_ws = 'https://demo-ose.nubefact.com/ol-ti-itcpe/billService';
    }
    if ($tipo_proceso == '5') {
        $ruta = $ruta_archivo . 'PRODUCCION/' . $ruc . "/" . $archivo;
        $ruta_cdr = $ruta_archivo . 'PRODUCCION/' . $ruc . "/";
        $ruta_cdr = $ruta_archivo_cdr;//cambiar despues
        $ruta_firma = $ruta_archivo . 'FIRMA/' . $ruc . '.pfx';
        $ruta_ws = 'https://ose.nubefact.com/ol-ti-itcpe/billService';
    }
    if ($tipo_proceso == '1') {
        $ruta = $ruta_archivo . 'PRODUCCION/' . $ruc . "/" . $archivo;
        $ruta_cdr = $ruta_archivo . 'PRODUCCION/' . $ruc . "/";
        $ruta_cdr = $ruta_archivo_cdr;//cambiar despues
        $ruta_firma = $ruta_archivo . 'FIRMA/' . $ruc . '.pfx';
        $ruta_ws = 'https://e-factura.sunat.gob.pe/ol-ti-itcpfegem/billService';
    }
    if ($tipo_proceso == '2') {
        $ruta = $ruta_archivo . 'HOMOLOGACION/' . $ruc . "/" . $archivo;
        $ruta_cdr = $ruta_archivo . 'HOMOLOGACION/' . $ruc . "/";
        $ruta_cdr = $ruta_archivo_cdr;//cambiar despues
        $ruta_firma = $ruta_archivo . 'FIRMA/' . $ruc . '.pfx';
        $ruta_ws = 'https://www.sunat.gob.pe/ol-ti-itcpgem-sqa/billService';
    }
    if ($tipo_proceso == '3') {
        $ruta = $ruta_archivo . 'BETA/' . $ruc . "/" . $archivo;
        $ruta_cdr = $ruta_archivo . 'BETA/' . $ruc . "/";
        $ruta_cdr = $ruta_archivo_cdr;//cambiar despues
        if (file_exists('FIRMA/' . $ruc . '.pfx')) {
            $ruta_firma = 'FIRMA/' . $ruc . '.pfx';
        } else {
            $ruta_firma = 'FIRMABETA/FIRMABETA.pfx';
            $pass_firma = '123456';
        }
        $ruta_ws = 'https://e-beta.sunat.gob.pe:443/ol-ti-itcpfegem-beta/billService';
    }
  
    $mensaje_envio = consultaEnvioTicket($ruc, $usuario_sol, $pass_sol,$ticket,$archivo,$ruta_cdr, $ruta_ws);

    $response['mensaje_xml'] = $mensaje_xml;
    $response['hash_cpe'] = $hash_cpe;
    $response['hash_cdr'] = $mensaje_envio;

    return $response;
}

if(isset($argv[1]))$archJson=dirname(__FILE__,200)."ultranet/xampp/cgi-bin/sunat/fe/jsTicketConsulta/".$argv[1];
else if(isset($_POST['op']))$archJson=$_POST['op'];
else if(isset($_GET ['op']))$archJson=$_GET ['op'];
else {echo "No hay archivo json de ticket procesar";return;}
chdir (dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/controller/" );
if(!file_exists($archJson)){echo "Error. No existe $archJson";return;}
$bodyRequest = file_get_contents($archJson);
$cab = json_decode($bodyRequest, true);
$detalle = $cab['detalle'];

$ruta_archivo=		dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/api_cpe/PRODUCCION/".$cab['NRO_DOCUMENTO_EMPRESA'].'/';
$ruta_archivo_cdr =	dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/api_cpe/PRODUCCION/".$cab['NRO_DOCUMENTO_EMPRESA'].'/ticket/cdrTicket/';
$ruta_archivo_env =	dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/api_cpe/PRODUCCION/".$cab['NRO_DOCUMENTO_EMPRESA'].'/enviadosSUNAT/';
$ruta_archivo_1033=	dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/api_cpe/PRODUCCION/".$cab['NRO_DOCUMENTO_EMPRESA'].'/enviadosAnteriormente(1033)/';
//echo "ruta_archivo1:$ruta_archivo<br>";
$mensaje_cpe = cpeConsultaTicket($cab['TIPO_PROCESO'], $cab['NRO_DOCUMENTO_EMPRESA'], $cab['USUARIO_SOL_EMPRESA'], $cab['PASS_SOL_EMPRESA'], $cab['TICKET'], $cab['TIPO_DOCUMENTO'], $cab['NRO_DOCUMENTO']);

$resultado['hash_cpe'] = $mensaje_cpe['hash_cpe'];
$resultado['cod_sunat'] = $mensaje_cpe['hash_cdr']['cod_sunat'];//str_replace("SOAP-ENV:CLIENT.", "", $mensaje_cpe['hash_cdr']['cod_sunat']);
$resultado['msj_sunat'] = str_replace("'","",$mensaje_cpe['hash_cdr']['msj_sunat']);
$resultado['hash_cdr'] = $mensaje_cpe['hash_cdr']['hash_cdr'];

print_json($resultado);

function print_json($data) {
    header("HTTP/1.1");
    header("Content-Type: application/json; charset=UTF-8");
    echo json_encode($data, JSON_PRETTY_PRINT);
}

?>
