<?php
//cpe_envioGrupo.php
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: GET, POST, PUT, DELETE"); 

//require_once('decode_64.php');
function cpeEnvio($ruc, $usuario_sol, $pass_sol, $ruta_archivo, $ruta_archivo_cdr, $archivo, $ruta_ws) {
    //=================ZIPEAR ================
    $zip = new ZipArchive();
    $filenameXMLCPE = $ruta_archivo.$archivo.'.ZIP';

    if ($zip->open($filenameXMLCPE, ZIPARCHIVE::CREATE) === true) {
        $zip->addFile($ruta_archivo.$archivo.'.XML', $archivo.'.XML'); //ORIGEN, DESTINO
        $zip->close();
    }

    //file_put_contents(dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/api_cpe/txt/$archivo.txt",
    // "\nruc:".                 $ruc
    //."\nusuario_sol:".         $usuario_sol
    //."\npass_sol:".            $pass_sol
    //."\nruta_archivo:".        $ruta_archivo
    //."\nruta_archivo_cdr:".    $ruta_archivo_cdr
    //."\narchivo:".             $archivo
    //."\nruta_ws:".             $ruta_ws
    //);

    //===================ENVIO FACTURACION=====================
    $soapUrl = $ruta_ws; //"https://e-beta.sunat.gob.pe:443/ol-ti-itcpfegem-beta/billService"; // asmx URL of WSDL
    $soapUser = "";  //  username
    $soapPassword = ""; // password
    // xml post structure
    $xml_post_string = '<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" 
    xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ser="http://service.sunat.gob.pe" 
    xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd">
    <soapenv:Header>
        <wsse:Security>
            <wsse:UsernameToken>
                <wsse:Username>' . $ruc . $usuario_sol . '</wsse:Username>
                <wsse:Password>' . $pass_sol . '</wsse:Password>
            </wsse:UsernameToken>
        </wsse:Security>
    </soapenv:Header>
    <soapenv:Body>
        <ser:sendBill>
            <fileName>' . $archivo . '.ZIP</fileName>
            <contentFile>' . base64_encode(file_get_contents($ruta_archivo.$archivo. '.ZIP')) . '</contentFile>
        </ser:sendBill>
    </soapenv:Body>
    </soapenv:Envelope>';

    $headers = array(
        "Content-type: text/xml;charset=\"utf-8\"",
        "Accept: text/xml",
        "Cache-Control: no-cache",
        "Pragma: no-cache",
        "SOAPAction: ",
        "Content-length: " . strlen($xml_post_string),
    ); //SOAPAction: your op URL

    $url = $soapUrl;

    // PHP cURL  for https connection with auth
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 1);
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    //curl_setopt($ch, CURLOPT_USERPWD, $soapUser.":".$soapPassword); // username and password - declared at the top of the doc
    curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_ANY);
    //oldU curl_setopt($ch, CURLOPT_TIMEOUT, 30);
    curl_setopt($ch, CURLOPT_TIMEOUT, 30);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $xml_post_string); // the SOAP request
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

	
	//$response = curl_exec($ch);

	try { $response = curl_exec($ch);
		}
	catch(Exception $e) {
		  //echo '<br>Error: ' .$e->getMessage();
		  $mensaje['cod_sunat'] = '-9999';
		  $mensaje['msj_sunat'] = 'Tiempo agotado de espera de SUNAT';		  
		  $mensaje['hash_cdr'] = $e->getMessage();		  
		  return($mensaje);
		}
		
    $httpcode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);
    if ($httpcode == 200) {//======LA PAGINA SI RESPONDE
        //echo $httpcode.'----'.$response;
        //convertimos de base 64 a archivo fisico
        $doc = new DOMDocument();
        $doc->loadXML($response);

		//Unet
		date_default_timezone_set("America/Lima");
		$urlResponseTicket="/fe/api_cpe/PRODUCCION/".$ruc."/cdr/responseEnvioDocVta/";
		$archResponseTicket='response.'.$archivo.'.'.date("Y.m.d.H.i").'.xml';
		$rutaResponseTicket=$ruta_archivo_cdr.'responseEnvioDocVta/'.$archResponseTicket;
		file_put_contents($rutaResponseTicket,$response);
		//fin unet
        //===================VERIFICAMOS SI HA ENVIADO CORRECTAMENTE EL COMPROBANTE=====================
        if (isset($doc->getElementsByTagName('applicationResponse')->item(0)->nodeValue)) {
            $xmlCDR = $doc->getElementsByTagName('applicationResponse')->item(0)->nodeValue;
            file_put_contents($ruta_archivo_cdr . 'R-' . $archivo . '.ZIP', base64_decode($xmlCDR));

            //extraemos archivo zip a xml
            $zip = new ZipArchive;
            if ($zip->open($ruta_archivo_cdr . 'R-' . $archivo . '.ZIP') === TRUE) {
                $zip->extractTo($ruta_archivo_cdr, 'R-' . $archivo . '.XML');
                $zip->close();
            }

            //eliminamos los archivos Zipeados
            unlink($ruta_archivo.$archivo.'.ZIP');
            unlink($ruta_archivo_cdr.'R-'.$archivo . '.ZIP');

            //=============hash CDR=================
            $doc_cdr = new DOMDocument();
            //pre ultranet $doc_cdr->load(dirname(__FILE__) . '/' . $ruta_archivo_cdr . 'R-' . $archivo . '.XML');
			
			if (trim($xmlCDR)!='') 
			   {$doc_cdr->load($ruta_archivo_cdr . 'R-' . $archivo . '.XML');
				$mensaje['cod_sunat'] = $doc_cdr->getElementsByTagName('ResponseCode')->item(0)->nodeValue;
				$mensaje['msj_sunat'] = $doc_cdr->getElementsByTagName('Description')->item(0)->nodeValue;
				$mensaje['hash_cdr'] =  $doc_cdr->getElementsByTagName('DigestValue')->item(0)->nodeValue;
			   }
			else
			   {$doc_cdr->load($rutaResponseTicket);
				//$mensaje['cod_sunat'] = $doc_cdr->getElementsByTagName('statusCode')->item(0)->nodeValue;
				$mensaje['cod_sunat'] = '?';
				$mensaje['msj_sunat'] = 'Sunat no devolvio Zip de respuesta';
				$mensaje['hash_cdr']  = "<a href='".$urlResponseTicket.$archResponseTicket."' target=_blank>$archResponseTicket</a>";	
		       }
            
        } else {
            $mensaje['cod_sunat'] = $doc->getElementsByTagName('faultcode')->item(0)->nodeValue;
            $mensaje['msj_sunat'] = $doc->getElementsByTagName('faultstring')->item(0)->nodeValue;
            $mensaje['hash_cdr'] = "";
        }
    } else {
        //echo "no responde web";
        $mensaje['cod_sunat']="0000";
        $mensaje['msj_sunat']="SUNAT ESTA FUERA SERVICIO";
        $mensaje['hash_cdr'] = "";
    }
    return $mensaje;
    //$xmlCDR = $doc->getElementsByTagName('applicationResponse')->item(0)->nodeValue;
}

//echo $ruc;
//return ;
ini_set('max_execution_time', 200);
//print_r(($argv));
$pathLog=dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/controller/log/";
$tipoEnvio='';
$tEnvios=20;
//if(isset($argv))file_put_contents($pathLog.'argv.txt',$argv);
if(isset($argv[1]))$tipoEnvio='argv'; //file_put_contents($pathLog.'argv[0].txt','|'.$argv[1].'|');
else if(isset($_POST['op'])){$tipoEnvio='post';} //{echo "op POST: ".$_POST['op'];};
else if(isset($_GET['op'])) {$tipoEnvio='get'; }//{echo "op GET:  ". $_GET ['op'];};
else return;

date_default_timezone_set("America/Lima");
$usuario_sol=           'ANTICO77';
$pass_sol=		'apolitano75';
$ruta_archivo=		dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/api_cpe/PRODUCCION/".$ruc.'/';
$ruta_archivo_cdr =	dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/api_cpe/PRODUCCION/".$ruc.'/cdr/';
$ruta_archivo_env =	dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/api_cpe/PRODUCCION/".$ruc.'/enviadosSUNAT/';
$ruta_archivo_1033=	dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/api_cpe/PRODUCCION/".$ruc.'/enviadosAnteriormente(1033)/';
//probando $rutaCDR="https://e-beta.sunat.gob.pe:443/ol-it-wsconscpegem/billConsultService";
$ruta_ws='https://e-beta.sunat.gob.pe:443/ol-ti-itcpfegem-beta/billService';
$ruta_ws='https://e-factura.sunat.gob.pe/ol-ti-itcpfegem/billService';
$directorio = opendir($ruta_archivo);

while ($archivo = readdir($directorio)) 
	if (stristr($archivo, "XML"))$ficheros[]=$archivo;
//var_dump($ficheros);
if(!isset($ficheros) || count($ficheros)==0){echo "<br>No hay ficheros para procesar<br>"; return;}
//sort($ficheros);
$s='';
if($tipoEnvio!='argv')
  { $s.= '<table cellpadding="1" cellspacing="1" border="1" rules="all"
           style="width:100%;border-collapse:collapse;border-color:#E6E6E6;font:13px calibri,tahoma,arial;">';
    $s.= '<tr><th>N°<th>Documento<th>cod_sunat<th>msj_sunat<th>hash_cdr';
  }
$sLog=$s;
if(count($ficheros)<$tEnvios)$tEnvios=count($ficheros);
$todos000=0;
for($i=0;$i<($tEnvios);$i++)
//for($i=0;$i<3;$i++)
     {$v=explode("." , $ficheros[$i]);
       $mensaje_envio['cod_sunat']='';
       $mensaje_envio['msj_sunat']='';
       $mensaje_envio['hash_cdr'] ='';
       if(file_exists($ruta_archivo_cdr.'R-'.$v[0].'.XML'))$mensaje_envio['msj_sunat']='Ya fue enviado';
       else {$mensaje_envio=cpeEnvio($ruc, $usuario_sol, $pass_sol, $ruta_archivo, $ruta_archivo_cdr, $v[0], $ruta_ws);
			 if($mensaje_envio['cod_sunat']==="0")rename($ruta_archivo.$v[0].'.XML',$ruta_archivo_env.$v[0].'.XML'); 
	        } 
	   $sFila="<tr><td>".(1+$i)
					   ."<td>".$v[0]
					   ."<td>".$mensaje_envio['cod_sunat']
					   ."<td>".$mensaje_envio['msj_sunat']
					   ."<td>".$mensaje_envio['hash_cdr'];	
	   $sLog.=$sFila;	
	   if($mensaje_envio['cod_sunat']==="0000"){$todos000++;}
	   else    if($tipoEnvio!='argv')
				 { $s.=$sFila;
				 }
	   if(trim($mensaje_envio['cod_sunat'])==="soap-env:Client.1033")
	   {  rename($ruta_archivo.$v[0].'.XML',$ruta_archivo_1033.$v[0].'.XML');
          if(file_exists($ruta_archivo.$v[0].'.ZIP'))rename($ruta_archivo.$v[0].'.ZIP',$ruta_archivo_1033.$v[0].'.ZIP');
       }
     }
//var_dump( $mensaje_envio);

if($tipoEnvio!='argv'){$s.= '</table>';$sLog.='</table>';}
if($todos000==$tEnvios) echo ". SUNAT ESTA FUERA SERVICIO (".date("d.m.Y H:i").")<br>";
else echo $s;

file_put_contents(dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/api_cpe/PRODUCCION/".$ruc.'/infoEnvio/logEnvio.'.date("Y.m.d.H.i").'.html',$sLog);
return;
	
for($i=0;$i<count($ficheros);$i++)
	{$v=explode("." , $ficheros[$i]);
	 $mensaje_envio=cpeEnvio($ruc, $usuario_sol, $pass_sol, $ruta_archivo, $ruta_archivo_cdr, $v[0], $ruta_ws);
	 var_dump( $mensaje_envio);
	}
for($i=0;$i<count($ficheros);$i++)
	{$v=explode("." , $ficheros[$i]);
	 $mensaje_envio=cpeEnvio($ruc, $usuario_sol, $pass_sol, $ruta_archivo, $ruta_archivo_cdr, $v[0], $ruta_ws);
	 var_dump( $mensaje_envio);
	}
return;
$directorio = opendir($ruta_archivo); 
while ($archivo = readdir($directorio)) 
	if (stristr($archivo, "XML"))
		{$v=explode("." , $archivo);
		 $mensaje_envio=cpeEnvio($ruc, $usuario_sol, $pass_sol, $ruta_archivo, $ruta_archivo_cdr, $v[0], $ruta_ws);
	     var_dump( $mensaje_envio);
		} 
	
?>
